## boost1.50 1.50.0

=== debian/changelog ===
boost1.50 (1.50.0-2ubuntu1) raring; urgency=low

  * Fix FTBFS against python3.3

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sun, 04 Nov 2012 15:09:22 +0000

boost1.50 (1.50.0-2) unstable; urgency=low

  * control: Fix list formatting in Boost.Chrono long description.
    Closes: #687296.  Add symlink /usr/share/doc/libboost-doc/examples;
    see #687524.
  
  * rules: Install libs/date_time/data into
    /usr/share/doc/libboost-date-timeX.Y-dev.  Closes: #685003.

 -- Steve M. Robbins <smr@debian.org>  Sun, 23 Sep 2012 21:33:04 -0500

boost1.50 (1.50.0-1) unstable; urgency=low

  * Upstream release of 1.50.0.

 -- Steve M. Robbins <smr@debian.org>  Thu, 28 Jun 2012 21:28:37 -0500

boost1.50 (1.50.0~beta1final-1) experimental; urgency=low

  * New upstream.  This is really the "1.50.0 Beta 1" release.  Last
    release was actually "1.50.0 Beta 1 Release Candidate".

 -- Steve M. Robbins <smr@debian.org>  Fri, 08 Jun 2012 21:59:28 -0500

boost1.50 (1.50.0~beta1-1) experimental; urgency=low

  * New upstream: Beta 1 release of 1.50.
    - new lib packages for Boost.Exception.

  * patches/gcc4.7_trac-6790.patch:
  * patches/gcc4.7_trac-6854.patch:
  * patches/gcc4.7_trac-6755.patch:
  * patches/gcc4.7_trac-76970.patch:
  * patches/gcc4.7_trac-6331.patch:
  * patches/gcc4.7_trac-6431.patch:
  * patches/gcc4.7_trac-6852.patch: Removed.

 -- Steve M. Robbins <smr@debian.org>  Sat, 02 Jun 2012 11:42:00 -0500

boost1.49 (1.49.0-3) unstable; urgency=low

  * patches/gcc4.7_trac-6790.patch:
  * patches/gcc4.7_trac-6854.patch:
  * patches/gcc4.7_trac-6755.patch:
  * patches/gcc4.7_trac-76970.patch:
  * patches/gcc4.7_trac-6331.patch:
  * patches/gcc4.7_trac-6431.patch:
  * patches/gcc4.7_trac-6852.patch: New.  Fixes for gcc 4.7 from upstream.
    Closes: #671409

 -- Steve M. Robbins <smr@debian.org>  Sat, 05 May 2012 00:31:50 -0500

boost1.49 (1.49.0-2) unstable; urgency=low

  * control: Add missing -dev package Conflicts for: chrono, locale,
    random, and timer.  Closes: #666120, 666239.

 -- Steve M. Robbins <smr@debian.org>  Thu, 29 Mar 2012 21:30:22 -0500

boost1.49 (1.49.0-1) unstable; urgency=low

  * New upstream.

 -- Steve M. Robbins <smr@debian.org>  Sun, 26 Feb 2012 00:31:44 -0600

boost1.49 (1.49.0rc1-1) UNRELEASED; urgency=low

  * Upstream Release Candidate.

  * patches/fusion-push-front-broken.patch: Remove.  Applied upstream.

 -- Steve M. Robbins <smr@debian.org>  Mon, 20 Feb 2012 15:43:41 -0600

boost1.49 (1.49.0beta1-1) UNRELEASED; urgency=low

  * Upstream Beta 1 Release Candidate.
  
  * patches/foreach.patch:
  * patches/sh4.patch:
  * patches/kfreebsd-thread.patch:
  * patches/math-define-l.patch:
  * patches/gcc-4.7-threading-detection.patch: Removed.  Applied upstream.

 -- Steve M. Robbins <smr@debian.org>  Sat, 28 Jan 2012 21:31:41 -0600

boost1.48 (1.48.0-3) unstable; urgency=low

  * patches/fusion-push-front-broken.patch: New.  Upstream patch that
    fixes #include <boost/fusion/algorithm/transformation/push_front.hpp>.
    Closes: #653812.

  * patches/math-define-l.patch: New.  Rename class template parameter
    "L".  Closes: #653764.

  * patches/gcc-4.7-threading-detection.patch: New, from upstream.  Enable
    gcc 4.7 threading detection.  Closes: #654425.

  * patches/mpi-allocator-c++0x.patch: New.  Workaround to enable using
    Boost.MPI with -std=c++0x mode on gcc 4.6.  Fix will be in gcc 4.6.3
    and 4.7.  Closes: #639862.

 -- Steve M. Robbins <smr@debian.org>  Wed, 04 Jan 2012 23:50:52 -0600

boost1.48 (1.48.0-2) unstable; urgency=low

  * patches/foreach.patch: New.  Upstream patch to fix BOOST_FOREACH build
    issues.  Closes: #652677.

 -- Steve M. Robbins <smr@debian.org>  Tue, 20 Dec 2011 00:03:03 -0600

boost1.48 (1.48.0-1) unstable; urgency=low

  * New upstream.  Closes: #634245.
    - patches/changeset_71050.diff:
    - patches/date_time_date_formatting_hpp.patch:
    - patches/fusion-name-qual.patch:
    - patches/mips-asm.patch:
    - patches/openssl-no-ssl2.patch:
    - patches/python2.5-elementtree.patch: Removed.  Applied upstream.
  
  * New library packages for: chrono, locale, and timer.
  
  * patches/pythonid.patch: New.  Fix jam option --python-buildid.
  
  * patches/hurd-ellint_rd.patch:
  * patches/hurd-execution_monitor.patch: Remove.  Pino Toscano advised
    that the hurd no longer needs these.

 -- Steve M. Robbins <smr@debian.org>  Sun, 27 Nov 2011 22:18:35 -0600

boost1.46 (1.46.1-7) unstable; urgency=low

  * control: Fix ungrammatical description for iostreams packages.
    Closes: #633865.
  
  * rules: Dump boostrap log file if bootstrapping fails.
  
  * libboost-doc.README.Debian: Remove reference to packages bjam and
    boost-build; now only need boostX.YZ-dev.  Closes: #630529.

 -- Steve M. Robbins <smr@debian.org>  Wed, 17 Aug 2011 23:18:52 -0500

boost1.46 (1.46.1-6) unstable; urgency=low

  * control(libboost-mpi-python1.46.1, libboost-python1.46.1): Suggests a
    python interpreter.  Closes: #620775.

 -- Steve M. Robbins <smr@debian.org>  Sun, 12 Jun 2011 00:37:42 -0500

boost1.46 (1.46.1-5) unstable; urgency=low

  * patches/openssl-no-ssl2.patch.  New (thanks, Lubo~ Dole~el).  Throw
    exception if sslv2 context requested but OPENSSL_NO_SSL2 defined.
    Closes: #621402, #622027, #622070.

 -- Steve M. Robbins <smr@debian.org>  Mon, 09 May 2011 21:34:12 -0500

boost1.46 (1.46.1-4) unstable; urgency=low

  * NEWS.Debian: fix format.

  * patches/changeset_71050.diff: Fix build with Python 3.2.  Closes:
    #622021

  * rules: Switch from dh_pysupport to dh_python2 and dh_python3.
  * control: Remove X-Python-Version and X-Python3-Version lines, to
    indicate all versions supported.  Ensure all python packages use both
    ${python:Depends} and ${python:Breaks}.
  
  * rules: Remove execute bit from files in usr/share/boost-build.
  
  * patches/remove-rpath.patch: Delete.  Closes: #619766.
  
 -- Steve M. Robbins <smr@debian.org>  Sat, 16 Apr 2011 01:45:40 -0500


