=== debian/control ===
Source: boost1.50
Homepage: http://www.boost.org/
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>, Domenico Andreoli <cavok@debian.org>
Build-Depends: debhelper (>= 8), 
 zlib1g-dev, libbz2-dev, libicu-dev, mpi-default-dev,
 bison, flex, docbook-to-man, help2man, xsltproc, doxygen, 
 python, python-all-dev, 
 python3, python3-all-dev (>= 3.1)
Build-Conflicts: libopenmpi-dev (= 1.3.2-2)
Vcs-Browser: http://svn.debian.org/wsvn/pkg-boost/boost/trunk/
Vcs-Svn: svn://svn.debian.org/svn/pkg-boost/boost/trunk
Standards-Version: 3.9.2

Package: libboost1.50-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, ${shlibs:Depends}, libboost1.50-dev (= ${binary:Version})
Conflicts: libboost1.42-dbg, libboost1.46-dbg, libboost1.48-dbg, libboost1.49-dbg
Description: Boost C++ Libraries with debug symbols
 This package forms part of the Boost C++ Libraries collection.
 .
 These libraries are built with debug symbols. They are useful to debug
 programs which use Boost. These must be used also at build/link time.

Package: libboost1.50-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, libstdc++6-4.4-dev | libstdc++-dev
Suggests: libboost1.50-doc,
 libboost-chrono1.50-dev,
 libboost-date-time1.50-dev,
 libboost-exception1.50-dev,
 libboost-filesystem1.50-dev,
 libboost-graph1.50-dev,
 libboost-graph-parallel1.50-dev,
 libboost-iostreams1.50-dev,
 libboost-locale1.50-dev,
 libboost-math1.50-dev,
 libboost-mpi1.50-dev,
 libboost-program-options1.50-dev,
 libboost-python1.50-dev,
 libboost-random1.50-dev,
 libboost-regex1.50-dev,
 libboost-serialization1.50-dev,
 libboost-signals1.50-dev,
 libboost-system1.50-dev,
 libboost-test1.50-dev,
 libboost-thread1.50-dev,
 libboost-timer1.50-dev,
 libboost-wave1.50-dev,
 xsltproc,
 doxygen,
 docbook-xml (>= 4.2),
 docbook-xsl (>= 1.73.2),
 default-jdk (>= 1.4),
 fop (>= 0.94)
Conflicts: bjam, boost-build, libboost1.42-dev, libboost1.46-dev, libboost1.48-dev, libboost1.49-dev
Replaces: bjam, boost-build
Description: Boost C++ Libraries development files
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This package provides headers and the auxiliary tools bjam, Boost.Build,
 bcp, inspect, boostbook and quickbook.
 .
 For the following subprojects separate packages exist: chrono,
 date-time, exception filesystem, graph, iostreams, locale, math, mpi,
 program_options, python, regex, serialization, signals, system, test,
 thread, timer, and wave.

Package: libboost1.50-all-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libboost1.50-dev,
 libboost-chrono1.50-dev, 
 libboost-date-time1.50-dev, 
 libboost-exception1.50-dev, 
 libboost-filesystem1.50-dev, 
 libboost-graph1.50-dev, 
 libboost-graph-parallel1.50-dev, 
 libboost-iostreams1.50-dev, 
 libboost-locale1.50-dev,
 libboost-math1.50-dev, 
 libboost-mpi1.50-dev, 
 libboost-mpi-python1.50-dev, 
 libboost-program-options1.50-dev, 
 libboost-python1.50-dev, 
 libboost-random1.50-dev, 
 libboost-regex1.50-dev, 
 libboost-serialization1.50-dev, 
 libboost-signals1.50-dev, 
 libboost-system1.50-dev, 
 libboost-test1.50-dev, 
 libboost-thread1.50-dev, 
 libboost-timer1.50-dev, 
 libboost-wave1.50-dev
Description: Boost C++ Libraries development files (ALL)
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This package provides the complete Boost development environment,
 including all separately-packaged libraries.

Package: libboost1.50-doc
Homepage: http://www.boost.org/libs/
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libboost1.50-dev (>= ${source:Version})
Conflicts: libboost1.42-doc, libboost1.46-doc, libboost1.48-doc, libboost1.49-doc
Description: Boost.org libraries documentation
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This is documentation for the boost libraries in HTML format.
 Some pages point to header files provided in the corresponding -dev package,
 so it is suggested to install the latter as well.

Package: libboost-chrono1.50.0
Homepage: http://www.boost.org/libs/chrono/
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C++ representation of time duration, time point, and clocks
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost.Chrono library provides:
 .
  * A means to represent time durations: managed by the generic duration
    class.Examples of time durations include days, minutes, seconds and
    nanoseconds, which can be represented with a fixed number of clock
    ticks per unit. All of these units of time duration are united with
    a generic interface by the duration facility.
  * A type for representing points in time: time_point. A time_point
    represents an epoch plus or minus a duration. The library leaves
    epochs unspecified. A time_point is associated with a clock.
  * Several clocks, some of which may not be available on a particular
    platform: system_clock, steady_clock and high_resolution_clock. A
    clock is a pairing of a time_point and duration, and a function
    which returns a time_point representing now.
 .
 To make the timing facilities more generally useful, Boost.Chrono
 provides a number of clocks that are thin wrappers around the
 operating system's time APIs, thereby allowing the extraction of wall
 clock time, user CPU time, system CPU time spent by the process:
 .
  * process_real_cpu_clock, captures wall clock CPU time spent by the
    current process.
  * process_user_cpu_clock, captures user-CPU time spent by the current
    process.
  * process_system_cpu_clock, captures system-CPU time spent by the
    current process.
  * a tuple-like class process_cpu_clock, that captures real, user-CPU,
    and system-CPU process times together.
  * a thread_clock thread steady clock giving the time spent by the
    current thread (when supported by a platform).
 .
 Lastly, Boost.Chrono includes typeof registration for duration and
 time_point to permit using emulated auto with C++03 compilers.

Package: libboost-chrono1.50-dev
Homepage: http://www.boost.org/libs/chrono/
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libboost1.50-dev (= ${binary:Version}),
 libboost-chrono1.50.0 (= ${binary:Version})
Conflicts: libboost-chrono1.48-dev, libboost-chrono1.49-dev
Description: C++ representation of time duration, time point, and clocks
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost.Chrono library provides:
 .
  * A means to represent time durations: managed by the generic
 duration class . Examples of time durations include days, minutes,
 seconds and nanoseconds, which can be represented with a fixed number
 of clock ticks per unit. All of these units of time duration are
 united with a generic interface by the duration facility.
  * A type for representing points in time: time_point. A time_point
 represents an epoch plus or minus a duration. The library leaves
 epochs unspecified. A time_point is associated with a clock.
  * Several clocks, some of which may not be available on a
 particular platform: system_clock, steady_clock and
 high_resolution_clock. A clock is a pairing of a time_point and
 duration, and a function which returns a time_point representing now.
 .
 To make the timing facilities more generally useful, Boost.Chrono
 provides a number of clocks that are thin wrappers around the
 operating system's time APIs, thereby allowing the extraction of wall
 clock time, user CPU time, system CPU time spent by the process:
 .
  * process_real_cpu_clock, captures wall clock CPU time spent by the
 current process.  
  * process_user_cpu_clock, captures user-CPU time
 spent by the current process.  
  * process_system_cpu_clock, captures
 system-CPU time spent by the current process.  
  * A tuple-like class
 process_cpu_clock, that captures real, user-CPU, and system-CPU
 process times together.
  * A thread_clock thread steady clock giving
 the time spent by the current thread (when supported by a platform).
 .
 Lastly, Boost.Chrono includes typeof registration for duration and
 time_point to permit using emulated auto with C++03 compilers.

Package: libboost-date-time1.50.0
Homepage: http://www.boost.org/libs/date_time/
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: set of date-time libraries based on generic programming concepts
 This package forms part of the Boost C++ Libraries collection.
 .
 These libraries are intended to make programming with dates and times
 almost as simple and natural as programming with strings and integers.

Package: libboost-date-time1.50-dev
Homepage: http://www.boost.org/libs/date_time/
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libboost1.50-dev (= ${binary:Version}),
 libboost-date-time1.50.0 (= ${binary:Version}),
 libboost-serialization1.50-dev (= ${binary:Version})
Conflicts: libboost-date-time1.42-dev, libboost-date-time1.46-dev, libboost-date-time1.48-dev, libboost-date-time1.49-dev
Description: set of date-time libraries based on generic programming concepts
 This package forms part of the Boost C++ Libraries collection.
 .
 These libraries are intended to make programming with dates and times
 almost as simple and natural as programming with strings and integers.

Package: libboost-exception1.50.0
Homepage: http://www.boost.org/libs/exception/
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: set of date-time libraries based on generic programming concepts
 This package forms part of the Boost C++ Libraries collection.
 .
 The purpose of Boost Exception is to ease the design of exception
 class hierarchies and to help write exception handling and error
 reporting code.

Package: libboost-exception1.50-dev
Homepage: http://www.boost.org/libs/exception/
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libboost1.50-dev (= ${binary:Version}),
 libboost-exception1.50.0 (= ${binary:Version})
Description: set of date-time libraries based on generic programming concepts
 This package forms part of the Boost C++ Libraries collection.
 .
 The purpose of Boost Exception is to ease the design of exception
 class hierarchies and to help write exception handling and error
 reporting code.

Package: libboost-filesystem1.50.0
Homepage: http://boost.org/libs/filesystem/
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: filesystem operations (portable paths, iteration over directories, etc) in C++
